diff -ur snort-2.0.2/Makefile.am snort-2.0.2-ipv6/Makefile.am
--- snort-2.0.2/Makefile.am	Sat Jul 26 00:17:28 2003
+++ snort-2.0.2-ipv6/Makefile.am	Thu Nov 13 11:49:33 2003
@@ -1,4 +1,4 @@
-## $Id: Makefile.am,v 1.64 2003/07/25 15:17:28 chrisgreen Exp $
+## $Id: Makefile.am,v 1.2 2003/11/13 02:49:33 abekatsu Exp $
 AUTOMAKE_OPTIONS=foreign no-dependencies
 SUBDIRS = src doc etc rules templates contrib
 
@@ -14,10 +14,10 @@
         # always ensure that the win32 build is in sync
 	$(distdir)/verstuff.pl $(distdir)
         # work around a horrible doc/Makefile.am
-	rm -rf $(distdir)/doc/signatures/signatures/CVS
-	chmod 755  $(distdir)/doc/signatures/signatures  $(distdir)/doc
-	mv -f $(distdir)/doc/signatures/signatures $(distdir)/doc/sigs.bak
-	rm -rf $(distdir)/doc/signatures
-	mv -f $(distdir)/doc/sigs.bak $(distdir)/doc/signatures
+	## rm -rf $(distdir)/doc/signatures/signatures/CVS
+	## $chmod 755  $(distdir)/doc/signatures/signatures  $(distdir)/doc
+	## mv -f $(distdir)/doc/signatures/signatures $(distdir)/doc/sigs.bak
+	## rm -rf $(distdir)/doc/signatures
+	## mv -f $(distdir)/doc/sigs.bak $(distdir)/doc/signatures
 
 
diff -ur snort-2.0.2/acconfig.h snort-2.0.2-ipv6/acconfig.h
--- snort-2.0.2/acconfig.h	Wed May 28 05:09:48 2003
+++ snort-2.0.2-ipv6/acconfig.h	Thu Nov 13 11:47:57 2003
@@ -1,4 +1,4 @@
-/* $Id: acconfig.h,v 1.9 2003/05/27 18:26:56 chrisgreen Exp $ */
+/* $Id: acconfig.h,v 1.2 2003/11/13 02:47:57 abekatsu Exp $ */
 #undef PACKAGE
 #undef VERSION
 #undef BSDI
@@ -49,3 +49,6 @@
 #undef HAVE_NETSNMP
 #undef HAVE__FUNCTION__
 #undef HAVE__func__
+#undef HAVE_SOCKADDR_STORAGE
+#undef HAVE_SOCKADDR_STORAGE_SS_FAMILY
+#undef HAVE_SOCKADDR_STORAGE_SS_LEN
diff -ur snort-2.0.2/config.h.in snort-2.0.2-ipv6/config.h.in
--- snort-2.0.2/config.h.in	Thu Sep 11 05:27:33 2003
+++ snort-2.0.2-ipv6/config.h.in	Thu Nov 13 18:43:06 2003
@@ -1,5 +1,5 @@
 /* config.h.in.  Generated from configure.in by autoheader.  */
-/* $Id: acconfig.h,v 1.9 2003/05/27 18:26:56 chrisgreen Exp $ */
+/* $Id: acconfig.h,v 1.2 2003/11/13 02:47:57 abekatsu Exp $ */
 #undef PACKAGE
 #undef VERSION
 #undef BSDI
@@ -50,6 +50,15 @@
 #undef HAVE_NETSNMP
 #undef HAVE__FUNCTION__
 #undef HAVE__func__
+#undef HAVE_SOCKADDR_STORAGE
+#undef HAVE_SOCKADDR_STORAGE_SS_FAMILY
+#undef HAVE_SOCKADDR_STORAGE_SS_LEN
+
+/* Define to 1 if you have the `getaddrinfo' function. */
+#undef HAVE_GETADDRINFO
+
+/* Define to 1 if you have the `getnameinfo' function. */
+#undef HAVE_GETNAMEINFO
 
 /* Define to 1 if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
diff -ur snort-2.0.2/configure.in snort-2.0.2-ipv6/configure.in
--- snort-2.0.2/configure.in	Thu Sep 11 05:27:15 2003
+++ snort-2.0.2-ipv6/configure.in	Thu Nov 13 11:48:33 2003
@@ -1,10 +1,11 @@
-# $Id: configure.in,v 1.125 2003/07/25 15:17:28 chrisgreen Exp $ 
-AC_INIT(src/snort.c)
+# $Id: configure.in,v 1.3 2003/11/13 02:48:33 abekatsu Exp $ 
+AC_INIT
+AC_CONFIG_SRCDIR([src/snort.c])
 AM_CONFIG_HEADER(config.h)
 
 # When changing the snort version, please also update the VERSION
 # definition in "src/win32/WIN32-Includes/config.h"
-AM_INIT_AUTOMAKE(snort,2.0.2)
+AM_INIT_AUTOMAKE(snort,2.0.2-ipv6)
 
 AM_PROG_CC_STDC
 AC_PROG_RANLIB
@@ -332,7 +333,7 @@
     mysql_fail="no"
   fi
 
-  AC_MSG_CHECKING(for mysql)
+  AC_MSG_CHECKING(for mysql)o
 
   for i in $mysql_directory; do
     if test -r $i/include/mysql/mysql.h; then
@@ -691,6 +692,64 @@
 	fi
 fi
 
+dnl checking getaddrinfo and getnameinfo
+AC_CHECK_FUNCS([getaddrinfo getnameinfo])
+
+dnl checking if there is struct sockaddr_storage.
+AC_MSG_CHECKING(for struct sockaddr_storage)
+AC_TRY_COMPILE([
+#include <stdio.h>
+#include <sys/types.h>
+#include <sys/socket.h>
+],
+[struct sockaddr_storage ss; ss.ss_family = PF_UNSPEC ;],
+have_sockaddr_storage=yes, have_sockaddr_storage=no)
+
+if test "x$have_sockaddr_storage" = "xyes"; then
+   AC_MSG_RESULT(yes)
+   AC_DEFINE(HAVE_SOCKADDR_STORAGE)
+
+   dnl
+   dnl check if a member ss_family exists in struct sockaddr_storage
+   dnl 
+   AC_MSG_CHECKING(for ss_family which is the member of struct sockaddr_storage)
+   AC_TRY_COMPILE([
+   #include <stdio.h>
+   #include <sys/types.h>
+   #include <sys/socket.h>
+   ],
+   [struct sockaddr_storage ss; ss.ss_family = 0 ;],
+   have_sockaddr_storage_ss_family=yes, have_sockaddr_storage_ss_family=no)
+
+   if test "x$have_sockaddr_storage_ss_family" = "xyes"; then      
+      AC_MSG_RESULT(yes)
+      AC_DEFINE(HAVE_SOCKADDR_STORAGE_SS_FAMILY)
+   else
+      AC_MSG_RESULT(no)
+   fi
+
+   dnl
+   dnl check if a member ss_len exists in struct sockaddr_storage
+   dnl 
+   AC_MSG_CHECKING(for ss_len which is the member of struct sockaddr_storage)
+   AC_TRY_COMPILE([
+   #include <stdio.h>
+   #include <sys/types.h>
+   #include <sys/socket.h>
+   ],
+   [struct sockaddr_storage ss; ss.ss_len = 0 ;],
+   have_sockaddr_storage_ss_len=yes, have_sockaddr_storage_ss_len=no)
+
+   if test "x$have_sockaddr_storage_ss_len" = "xyes"; then      
+      AC_MSG_RESULT(yes)
+      AC_DEFINE(HAVE_SOCKADDR_STORAGE_SS_LEN)
+   else
+      AC_MSG_RESULT(no)
+   fi
+else
+   AC_MSG_RESULT(no)
+fi
+
 
 # let's make some fixes..
 
@@ -701,7 +760,7 @@
 AC_SUBST(INCLUDES)
 
 AC_PROG_INSTALL
-AC_OUTPUT(Makefile             \
+AC_CONFIG_FILES([Makefile             \
 src/Makefile                   \
 src/detection-plugins/Makefile \
 src/output-plugins/Makefile    \
@@ -712,5 +771,6 @@
 etc/Makefile                   \
 rules/Makefile                 \
 templates/Makefile             \
-src/win32/Makefile)
+src/win32/Makefile])
+AC_OUTPUT
 
diff -ur snort-2.0.2/contrib/Makefile.am snort-2.0.2-ipv6/contrib/Makefile.am
--- snort-2.0.2/contrib/Makefile.am	Tue Sep  3 02:46:02 2002
+++ snort-2.0.2-ipv6/contrib/Makefile.am	Fri Dec 12 20:40:40 2003
@@ -1,4 +1,4 @@
-## $Id: Makefile.am,v 1.3 2002/09/02 17:46:02 chrisgreen Exp $
+## $Id: Makefile.am,v 1.1.1.1 2003/09/30 04:25:28 abekatsu Exp $
 AUTOMAKE_OPTIONS=foreign no-dependencies
 
 EXTRA_DIST = ACID-0.9.6b21.tar.gz \
@@ -7,6 +7,7 @@
 create_mysql \
 create_oracle.sql \
 create_postgresql \
+create_postgresql.ipv6 \
 faq2html \
 Guardian.tar.gz \
 Makefile.am \
diff -ur snort-2.0.2/contrib/S99snort snort-2.0.2-ipv6/contrib/S99snort
--- snort-2.0.2/contrib/S99snort	Wed Dec 19 07:14:37 2001
+++ snort-2.0.2-ipv6/contrib/S99snort	Tue Sep 30 13:25:28 2003
@@ -1,5 +1,5 @@
 #!/bin/bash
-# $Id: S99snort,v 1.1 2001/12/18 22:14:37 cazz Exp $
+# $Id: S99snort,v 1.1.1.1 2003/09/30 04:25:28 abekatsu Exp $
 # /etc/init.d/snort : start or stop the SNORT Intrusion Database System
 #
 # Written by Lukasz Szmit <ptashek@scg.gliwice.pl>
Only in snort-2.0.2-ipv6/contrib: create_postgresql.ipv6
diff -ur snort-2.0.2/contrib/mysql.php3 snort-2.0.2-ipv6/contrib/mysql.php3
--- snort-2.0.2/contrib/mysql.php3	Mon Aug  7 11:42:53 2000
+++ snort-2.0.2-ipv6/contrib/mysql.php3	Tue Sep 30 13:25:28 2003
@@ -8,10 +8,13 @@
 
 This is Snort Statistics On-Line PHP script. You need to have php with support of postgresql database. Then just put this file under the directory you allow php to be executed, or name it as foobar.php3. It looks more like http://www.incident.org/ now, but I hope to make it more 'interactive' in the future, or at least do something like my snort_stat.pl does. :)
 
-$Id: mysql.php3,v 1.1.1.1 2000/08/07 02:42:53 roesch Exp $
+$Id: mysql.php3,v 1.1.1.1 2003/09/30 04:25:28 abekatsu Exp $
 Yen-Ming Chen <chenym@CMU.EDU>
 
 $Log: mysql.php3,v $
+Revision 1.1.1.1  2003/09/30 04:25:28  abekatsu
+Base package
+
 Revision 1.1.1.1  2000/08/07 02:42:53  roesch
 Initial Import
 
@@ -276,7 +279,7 @@
     <address><a href="mailto:chenym@CMU.EDU">Yen-Ming Chen</a></address>
 <!-- Created: Fri Feb 25 10:15:02 EST 2000 -->
 <!-- hhmts start -->
-Last modified: $Date: 2000/08/07 02:42:53 $
+Last modified: $Date: 2003/09/30 04:25:28 $
 <!-- hhmts end -->
   </body>
 </html>
diff -ur snort-2.0.2/contrib/pgsql.php3 snort-2.0.2-ipv6/contrib/pgsql.php3
--- snort-2.0.2/contrib/pgsql.php3	Mon Aug  7 11:42:53 2000
+++ snort-2.0.2-ipv6/contrib/pgsql.php3	Tue Sep 30 13:25:28 2003
@@ -8,10 +8,13 @@
 
 Oh, there is not many comments here. :)
 
-$Id: pgsql.php3,v 1.1.1.1 2000/08/07 02:42:53 roesch Exp $
+$Id: pgsql.php3,v 1.1.1.1 2003/09/30 04:25:28 abekatsu Exp $
 Yen-Ming Chen <chenym@CMU.EDU>
 
 $Log: pgsql.php3,v $
+Revision 1.1.1.1  2003/09/30 04:25:28  abekatsu
+Base package
+
 Revision 1.1.1.1  2000/08/07 02:42:53  roesch
 Initial Import
 
@@ -285,7 +288,7 @@
     <address><a href="mailto:chenym@CMU.EDU">Yen-Ming Chen</a></address>
 <!-- Created: Fri Feb 25 10:15:02 EST 2000 -->
 <!-- hhmts start -->
-Last modified: $Date: 2000/08/07 02:42:53 $
+Last modified: $Date: 2003/09/30 04:25:28 $
 <!-- hhmts end -->
   </body>
 </html>
diff -ur snort-2.0.2/contrib/regen-sidmap snort-2.0.2-ipv6/contrib/regen-sidmap
--- snort-2.0.2/contrib/regen-sidmap	Fri Oct  5 00:02:13 2001
+++ snort-2.0.2-ipv6/contrib/regen-sidmap	Tue Sep 30 13:25:28 2003
@@ -1,5 +1,5 @@
 #!/usr/bin/perl
-# $Id: regen-sidmap,v 1.1 2001/10/04 15:02:13 cazz Exp $
+# $Id: regen-sidmap,v 1.1.1.1 2003/09/30 04:25:28 abekatsu Exp $
 # Copyright (C) 2001 Brian Caswell <bmc@snort.org>
 # regen-sidmap
 #
diff -ur snort-2.0.2/contrib/sid-add snort-2.0.2-ipv6/contrib/sid-add
--- snort-2.0.2/contrib/sid-add	Wed Aug 22 02:56:39 2001
+++ snort-2.0.2-ipv6/contrib/sid-add	Tue Sep 30 13:25:28 2003
@@ -1,5 +1,5 @@
 #!/usr/bin/perl
-# $Id: sid-add,v 1.3 2001/08/21 17:56:39 cazz Exp $
+# $Id: sid-add,v 1.1.1.1 2003/09/30 04:25:28 abekatsu Exp $
 # Copyright (C) 2001 Brian Caswell <bmc@mitre.org>
 #
 # sid-add - Add SIDs and Revision to any rule that does not have an SID.
diff -ur snort-2.0.2/contrib/snort-sort.pl snort-2.0.2-ipv6/contrib/snort-sort.pl
--- snort-2.0.2/contrib/snort-sort.pl	Mon Aug  7 11:42:52 2000
+++ snort-2.0.2-ipv6/contrib/snort-sort.pl	Tue Sep 30 13:25:28 2003
@@ -149,7 +149,7 @@
 #
 # resolve host name and cache it
 # contributed by: Angelos Karageorgiou, <angelos@stocktrade.gr>
-# edited by: $Author: roesch $
+# edited by: $Author: abekatsu $
 #
 sub resolve {
   local $mname, $miaddr, $mhost = shift;
diff -ur snort-2.0.2/contrib/snort_stat.pl snort-2.0.2-ipv6/contrib/snort_stat.pl
--- snort-2.0.2/contrib/snort_stat.pl	Wed Mar 20 23:53:35 2002
+++ snort-2.0.2-ipv6/contrib/snort_stat.pl	Tue Sep 30 13:25:28 2003
@@ -1,7 +1,7 @@
 #!/usr/bin/perl
 #
-# $Id: snort_stat.pl,v 1.4 2002/03/20 14:53:35 cazz Exp $
-# $Revision: 1.4 $
+# $Id: snort_stat.pl,v 1.1.1.1 2003/09/30 04:25:28 abekatsu Exp $
+# $Revision: 1.1.1.1 $
 #
 # snort_stat.pl is a perl script trying to generate statistical data from every
 # day snort log file.
@@ -16,9 +16,9 @@
 # or put it in the root's crontab file:
 #59      10      *       *       *       root    cat /var/log/authlog | /etc/snort_stat.pl | sendmail root
 #
-# $Author: cazz $
+# $Author: abekatsu $
 # Yen-Ming Chen, <chenym@ALUMNI.CMU.EDU>
-# $Date: 2002/03/20 14:53:35 $
+# $Date: 2003/09/30 04:25:28 $
 # 
 
 use Getopt::Std;		# use Getopt for options
@@ -429,7 +429,7 @@
 #
 # resolve host name and cache it
 # contributed by: Angelos Karageorgiou, <angelos@stocktrade.gr>
-# edited by: $Author: cazz $
+# edited by: $Author: abekatsu $
 #
 sub resolve {
   local ($mname, $miaddr, $mhost = shift);
